% Miscellaneous Functions
%
% * help <function name> for more information.
%
%
% Managing Global Variables in daelib
%
%  initdae  - initiates all global variables in daelib
%  daeinfo  - shows the values of all daelib variables
%
%  daelw    - sets default line width
%  daels    - sets default line style
%  daelc    - sets default line color
%  daems    - sets default marker size
%  daefn    - sets default font name
%  daefs    - sets default font size
%  daefw    - sets default font weight
%  daefa    - sets default font angle
%  daefc    - sets default font color
%  daearh   - sets default arrow head specification
%  daefic   - sets default patch fill color
%  daearl   - sets default arrow tail length
%  daecr    - sets default circle resolution (no of line segments)
%  daeds    - sets default dot diameter
%
%
% Data Manipulation
%
%  rotatec  - rotates points in the complex plane 
%
% Polar/Cartesian Conversion
%
%  c2p  - [magnitude,angle]=c2p(complex_number), angle in degrees.
%  p2c  - complex_number=p2c(magnitude,angle), angle in degrees.
%
%
% dB Conversion
%
%  db   - 20*log(x).
%  dbp  - 10*log(x).
%  idp  - inverse db.
%  idbp - inverse dbp.
%
%
% Files
%
%  readspar  - read s-parameters from philips data file into a
%              s-parameter matrix with the frequency in the fifth
%              column.
%
% Impedance/Refl.coeff/SWR Conversion
%
%  g2nz     - refl. coeff. -> normalized impedance.
%  g2swr    - refl. coeff. -> standing-wave-ratio.
%  g2Z      - refl. coeff. -> impedance.
%  nz2g     - normalized impedance -> refl. coeff.
%  swr2absg - standing-wave-ratio -> abs(refl. coeff.)
%  Z2g      - impedance -> refl. coeff.
%  renorm   - renormalize refl. coeff.
%
%
% Power Transmission
%
%  pmr      - Calculates power delivered to load over a lossy
%             transmission line taking into account the effect
%             of multiple reflection.

% 1997-01-16 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1997. All rights reserved.
