% demo11

% Available gain circles. 
% BFR520 (Ic = 5 mA, Vce = 3 V)
% operating frequency 1.8 GHz

% Define colours
red=[1,0,0];
green=[0,1,0];
yellow=[1,1,0];
blue=[0,0,1];
cyan=[0,1,1];

% Smithchart
smtool;

% Read S-parameters
s=readspar('bfr520b.s2p');
type bfr520b.s2p;
s1=s(15,:);  % at 1.8 GHz

% Check the stability at 1.8 GHz 

delt=abs(sdelta(s1))
K=sk(s1)
% |delta| < 1
% K > 1
% The transistor is unconditionally stable at 1.8 GHz

% Calculation of the maximum transducer gain in dB at 1.8 GHz
gtmax=dbp(sgtmax(s1))

% Available gain circles for Ga = 8, 9, 10 dB (in gammaS smithchart)
% The available gain circle is calculated using the parameter ga derived from:
%   Available gain = abs(s21)^2*ga

ga1=idbp(8-dbp(abs(s1(1,2))^2));
drawci(singcib(s1,ga1),2,':',cyan,1);
ga2=idbp(9-dbp(abs(s1(1,2))^2));
drawci(singcib(s1,ga2),2,'--',cyan,1);
ga3=idbp(10-dbp(abs(s1(1,2))^2));
drawci(singcib(s1,ga3),2,'-',cyan,1);

% available gain in dB, for Zs = 50 (gammaS = 0)
gams=0;
Ga=dbp(sga(s1,gams))
