% MATLAB Scripts for Demonstration of some Functions in daelib
%
% All scripts written by Laurent Durkalec,
% Department of Applied Electronics, Lund University
% 1999-08-20
%
% Execute
% * type <script name> to see the complete code.
% * <script name> to execute the script.
%
%
% demo1  - Calculate and plot the reflection coefficient
%          for some discrete components.
%
% demo2  - Calculate and plot the reflection coefficient for
%          some discrete components over a frequency range.
%
% demo3  - Calculate and plot the reflection coefficient for a
%          stub over a frequency range.
%
% demo4  - Calculate
%             1. maximum gain for a bilateral and unconditionally
%             stable transistor.
%             2. source and load refl. coeff. for simultaneous
%             conjugate match. 
%             3. available power gain and operating power gain.
%
% demo5  - Calculate
%             1. maximum gain for unilateral transistor
%             2. source and load refl. coeff. for conjugate match.
%             3. operating power gain with unilateral aproximation.
%
% demo6  - Calculate GammaIn over a frequency range for a transistor
%          loaded by an inductance.
%
% demo7  - Calculate input and output stability circles for a
%          conditionally stable transistor.
%
% demo8  - Calculate noise circle for a transistor and noise figure
%          for a given gammaS
%
% demo9  - Conversion of S parameters of a transistor, 
%          from common-emitter to common-base.
%
% demo10 - Calculate S parameters of a transistor with an inductance
%          in series with the emitter.
%
% demo11 - Calculate available-gain circles for a transistor.
%
% demo12 - Calculate operating-gain circles for a transistor.
%
% demo13 - Calculate the physical dimensions of a microstrip line.