function [g2nz]=g2nz(gamma);
% g2nz
% g2nz(gamma) calculates the normalized impedance from
% the reflection coefficient "gamma".
% Optional frequency column gamma(:,2) is copied into g2nz(:,2)

% 1994 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1994. All rights reserved.


g2nz=gamma; % copy to get the optional frequency column gamma(:,2).
g2nz(:,1)=(1+gamma(:,1))./(1-gamma(:,1));
