function [g2z]=g2z(gamma,Z0);
% g2z
% g2z(gamma,Z0) calculates the impedance from
% the reflection coefficient 'gamma' and the
% characteristic impedance 'Z0'.
% Optional frequency column gamma(:,2) is copied into g2Z(:,2).

% 1994 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1994. All rights reserved.


 % copy to get the optional frequency column gamma(:,2).
g2z=gamma;
g2z(:,1)=Z0.*(1+gamma(:,1))./(1-gamma(:,1));
