function [nh2s]=nh2s(nh);
% nh2s
% nh2s(nh) converts normalised h-parameters to S-parameters.
% Optional frequency data in nh(:,5) is copied into s(:,5).

% copy to get the optional frequency data in nh(:,5)
nh2s=nh;
delta3=(1+nh(:,1)).*(1+nh(:,4))-nh(:,2).*nh(:,3);
nh2s(:,1)=((nh(:,1)-1).*(nh(:,4)+1)-nh(:,3).*nh(:,2))./delta3;
nh2s(:,2)=-2.*nh(:,2)./delta3;
nh2s(:,3)=2.*nh(:,3)./delta3;
nh2s(:,4)=((1+nh(:,1)).*(1-nh(:,4))+nh(:,3).*nh(:,2))./delta3;
