function [ny2s]=ny2s(ny);
% ny2s
% ny2s(ny) converts normalised y-parameters to S-parameters.
% Optional frequency data in ny(:,5) is copied into s(:,5).

% copy to get the optional frequency data in ny(:,5)
ny2s=ny;
delta2=(1+ny(:,1)).*(1+ny(:,4))-ny(:,2).*ny(:,3);
ny2s(:,1)=((1-ny(:,1)).*(1+ny(:,4))+ny(:,3).*ny(:,2))./delta2;
ny2s(:,2)=-2.*ny(:,2)./delta2;
ny2s(:,3)=-2.*ny(:,3)./delta2;
ny2s(:,4)=((1+ny(:,1)).*(1-ny(:,4))+ny(:,3).*ny(:,2))./delta2;
