function [parg]=parg(gammaLA,gammaLB);
% parg
% parg(gammaLA,gammaLB) calculates the refl. coeff. for gammaLA
% in parallel with gammaLB
% gammaLA    - refl. coeff. for load impedance  1 and
%              corresponding frequency (optional).
% gammaLB    - refl. coeff. for load impedance  2 and
%              corresponding frequency (optional).
%              Format: [gammaL,f1;gammaL,f1;gammaL,f3...].
% Note that it is assumed that gammaLA(:,2)=gammaLB(:,2),
% ie frequency columns should be the identical for gammaLA
% and gammaLB. It is also assumed that the normalization 
% impedances are the same for gammaLA and gammaLB.

% 1996-12-19 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1996. All rights reserved.

parg=gammaLA; 
parg(:,1)=nz2g(1./(1./(g2nz(gammaLA(:,1)))+1./(g2nz(gammaLB(:,1)))));
