function [parr]=parr(gammaL,R,Z0);
% parr
% parr(gammaL,R,Z0) Calculates the refl. coeff. for
% gammaL in parallel with a resistor.
% gammaL     - refl. coeff. for load impedance and corresponding
%              frequency (optional).
%              Format: [gammaL1,f1;gammaL2,f1;gammaL3,f3...]				
% R          - Resistor in Ohms
% Z0         - Normalization impedance for gammaL

% 1996-12-19 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1996. All rights reserved.

parr=gammaL; 
parr(:,1)=z2g(1./(1./R+1./g2z(gammaL(:,1),Z0)),Z0);
