function [psplotxt]=psplotxt(x,y,linewidth,linestyle,linecolor,markersize);
% psplotxt
% psplotxt(x,y,linewidth,linestyle,linecolor,markersize)
% Similar to plotxt.m from which it is called
% when a postscript collection session is active.
% Currently not supported: linestyle,linecolor,markersize

% 1997-01-15 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1997. All rights reserved.

% Define global variables
global daetargetfileid
global daepsdash

if strcmp(linestyle,'--')
	n=length(daepsdash);
	fprintf(daetargetfileid,'%s','[');
	for k=1:n-1
		fprintf(daetargetfileid,'%1.5g ',daepsdash(1,k));
	end
	fprintf(daetargetfileid,'%s %1.5g %s\n',']',daepsdash(1,n),' setdash');
else
	fprintf(daetargetfileid,'%s\n','[] 0 setdash');
end

fprintf(daetargetfileid,'%1.5g setlinewidth\n',linewidth);
fprintf(daetargetfileid,'newpath\n');

fprintf(daetargetfileid,'%1.5g %1.5g sc mt\n',x(1,1),y(1,1));

n=length(x);
for k=2:n,
	fprintf(daetargetfileid,'%1.5g %1.5g sc lt\n',x(k,1),y(k,1));
end

fprintf(daetargetfileid,'stroke\n\n');

[message,err]=ferror(daetargetfileid);

if err~=0
	sprintf(message);
end
