function [s2nabcd]=s2nabcd(s);
% s2nabcd
% s2nabcd(s) converts S-parameters to normalised ABCD-parameters.
% Format: ABCD=[A,C,B,D];
% Optional frequency data in s(:,5) is copied into nABCD(:,5).

% copy to get the optional frequency data in s(:,5).
s2nabcd=s;
s2nabcd(:,1)=((1+s(:,1)).*(1-s(:,4))+s(:,3).*s(:,2))./(2.*s(:,2)); 
s2nabcd(:,2)=((1-s(:,1)).*(1-s(:,4))-s(:,3).*s(:,2))./(2.*s(:,2));
s2nabcd(:,3)=((1+s(:,1)).*(1+s(:,4))-s(:,3).*s(:,2))./(2.*s(:,2));
s2nabcd(:,4)=((1-s(:,1)).*(1+s(:,4))+s(:,3).*s(:,2))./(2.*s(:,2));
