function [s2nz]=s2nz(s);
% s2nz
% s2nz(s) converts S-parameters to normalised z-parameters.
% Optional frequency data in s(:,5) is copied into nz(:,5).

delta5=(1-s(:,1)).*(1-s(:,4))-s(:,3).*s(:,2);
% copy to get the optional frequency data in s(:,5).
s2nz=s;
s2nz(:,1)=((1+s(:,1)).*(1-s(:,4))+s(:,3).*s(:,2))./delta5;
s2nz(:,2)=2.*s(:,2)./delta5;
s2nz(:,3)=2.*s(:,3)./delta5;
s2nz(:,4)=((1-s(:,1)).*(1+s(:,4))+s(:,3).*s(:,2))./delta5;
