function [serr]=serr(gammaL,R,Z0);
% serr
% serr(gammaL,R,Z0) Calculates the refl. coeff. for gammaL in
% series with a resistor.
% gammaL     - refl. coeff. for load impedance and corresponding
%              frequency (optional).
%              Format: [gammaL1,f1;gammaL2,f1;gammaL3,f3...].
% R          - Resistance in Ohms
% Z0         - Normalization impedance for gammaL

% 1996-12-19 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1996. All rights reserved.

serr=gammaL;
serr(:,1)=z2g(R+g2z(gammaL(:,1),Z0),Z0);
