function [sgamin]=sgamin(s,gammaL);
% sgamin
% function [sgamin]=sgamin(s,gammaL);
% sgamin(s,gammaL) returns the input (port 1) reflection coefficient
% and corresponding frequency for a two-port specified with 
% S-parameters ((s=[s11,s21,s12,s22,f]))  and a reflection coefficient 
% for the load (gammaL).
% i.e sgamin=[gamIn,freq]
% Note: gammaL should not contain a frequency vector.

% 2003 Modified by Markus Trmnen,
% Dept of Electroscience, Lund University.
% The function now also returns the corresponding
% frequency to the reflection coefficient.

sgamin=[(s(:,1)-sdelta(s).*gammaL)./(1-s(:,4).*gammaL),s(:,5)];
