function [sgt]=sgt(s,gammas,gammal);
% sgt
% sgt(s,gammas,gammal) returns the bilateral transducer (power) gain
% for a two-port specified with its S-parameters
% (s=[s11,s21,s12,s22]) and reflection coefficients for the source
% (gammas) and the load (gammal). All parameters may contain additional
% columns with data (such as frequency column) which will not interfer with
% the calculation.

% 1994 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1994. All rights reserved.

% 2003 Modified by Markus Trmnen,
% Dept of Electroscience, Lund University.
% The function is modified because the function sgamout
% now also returns a frequency component.

gamOutTmp=sgamout(s,gammas(:,1));
sgt=((1-abs(gammas(:,1)).^2)./(abs(1-s(:,1).*gammas(:,1)).^2)).*(abs(s(:,2)).^2).*((1-abs(gammal(:,1)).^2)./abs(1-gamOutTmp(:,1).*gammal(:,1)).^2);
