function [singcib]=singcib(s,ga);
% singcib
% singcib(s,ga) returns the gain circle for a two-port based
% on available gain, i.e. possible values for the source to obtain
% a given available gain=abs(s21)^2*ga.
% The two-port is specified with S-parameters (s=[s11,s21,s12,s22]).

% 1997-01-15 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1997. All rights reserved.

cS=s(:,1)-sdelta(s).*conj(s(:,4));
singcib=[ga.*conj(cS)./(1+ga.*(abs(s(:,1)).^2-abs(sdelta(s)).^2)),sqrt(1-2.*sk(s).*abs(s(:,2).*s(:,3)).*ga+abs(s(:,2).*s(:,3)).^2.*ga.^2)./abs((1+ga.*(abs(s(:,1)).^2-abs(sdelta(s)).^2)))];
