function [sinctci]=sinctci(s);
% sinctci
% sinctci(s) returns the stability circle for the input
% (i.e. that gives abs(gammaOut)=1). The circle is given
% as [location, radii] where location is a complex number
% and radii a real number. The two-port is specified with
% S-parameters (s=[s11,s21,s12,s22]).
sinctci=[conj(s(:,1)-sdelta(s).*conj(s(:,4)))./(abs(s(:,1)).^2-abs(sdelta(s)).^2), abs((s(:,2).*s(:,3))./(abs(s(:,1)).^2-abs(sdelta(s)).^2))];
