function [soutgciu]=soutgciu(s,gL);
% soutgciu
% soutgciu(s,gL) returns the (unilateral) gain circle
% for the load. The circle is given as [location, radii] where
% location is a complex number and radii a real number. 'gL'
% is the output gain factor (Gt=Gtmax*gS*gL);
% The two-port is specified with S-parameters (s=[s11,s21,s12,s22]).
soutgciu=[gL.*abs(s(:,4))./(1-abs(s(:,4)).^2.*(1-gL)).*conj(s(:,4))./abs(s(:,4)),sqrt(1-gL).*(1-abs(s(:,4)).^2)./(1-abs(s(:,4)).^2.*(1-gL))];
