% Functions for Realisation of Transmission Lines
%
% * help <function name> for more information.
%
% These routines are used to aid in the dimensioning of transmission
% lines to obtain desired characteristic impedance or the oter way around
% determine the characteristic impedance for a given width/height ratio
% of the structure.
%
%  Microstrip Structures
%
%  msz0     - calculates Z0 for a microstrip structure given the
%             relative dielectric constant of the substrate
%             and width/height ratio.
%
%  mseffeps - calculates the effective relative dielectric constant
%             for a microstrip structure given the relative
%             dielectric constant of the substrate (er) and the
%             width/height ratio.

% 1998-05-22 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1998. All rights reserved.
