function [ygp]=ygp(y,yL);
% ygp
% ygp(y,yL) returns the bilateral operating (power) gain
% for a two-port specified with its y-parameters
% (y=[y11,y21,y12,y22]) and admittances  and the load (yL).

% 1994 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1994. All rights reserved.

ygp=real(yL).*abs(y(:,2)).^2./(abs(y(:,4)+yL).^2.*real(y(:,1)-y(:,3).*y(:,2)./(yL+y(:,4))));
