function [ygt]=ygt(y,yS,yL);
% ygt
% ygt(y,yS,yL) returns the bilateral transducer (power)
% gain for a two-port specified with its y-parameters
% (y=[y11,y21,y12,y22]) and admittances for the source
% (yS) and the load (yL).

% 1994 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1994. All rights reserved.


ygt=4.*real(yL).*real(yS).*abs(y(:,2)).^2./abs((yS+y(:,1)).*(yL+y(:,4))-y(:,3).*y(:,2)).^2;
