function [ylinvc]=ylinvc(y);
% ylinvc
% ylinvc(y) returns Linvill's stability factor
% C for a two-port specified with its y-parameters.
% Unconditional stability for 0<C<1.
% The two-port is specified with its y-parameters
% (y=[y11,y21,y12,y22])
% The y-parameters do not need to be normalized.

% 1994 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1994. All rights reserved.

ylinvc=abs(y(:,3).*y(:,2))./(2.*real(y(:,1)).*real(y(:,4))-real(y(:,3).*y(:,2)));
