function [yloadmat]=yloadmat(y);
% yloadmat
% yloadmat(y) returns the load admittance
% for simultaneous conjugate match for a two-port
% specified with its y-parameters (y=[y11,y21,y12,y22]).
% Note that the solution given is only valid for an
% unconditionally stable two-port.

% 1994 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1994. All rights reserved.

yloadmat=(1./(2.*real(y(:,1)))).*sqrt((2.*real(y(:,1)).*real(y(:,4))-real(y(:,3).*y(:,2))).^2-abs(y(:,3).*y(:,2)).^2)+...
           i.*(imag(y(:,3).*y(:,2))./(2.*real(y(:,1)))-imag(y(:,4)));
