% Functions based on S-parameters
%
% * help <function name> for more information.
%
% Stability
%
%  ylinvc     - Linvill's stability factor;
%                 uncond. stable for 0<C<1.
%  ysternk    - Stern's stability factor;
%                 uncond. stable for K>1.
%  ysternkm   - Stern's modified stability factor;
%                 uncond. stable for K>1 taking into account
%                 additional source and load conductance
%
% Matching
%
%  ysourmat     - source refl. coeff. for simultaneous conjugate
%                 match.
%  yloadmat     - load refl. coeff. for simultaneous conjugate
%                 match.
%
% Gain
%
%  yga     - available gain
%  ygp     - operating gain
%  ygt     - transducer gain
%  ygtmax  - maximum gain

% 1997-01-16 Written by Lars Sundstrom,
% Dept of Appl Electronics, Lund University
% Copyright (c) 1997. All rights reserved.

